Sboms

Upload SBOMs

POST
/workspaces/{workspaceId}/firmware-versions/{firmwareVersionId}/sboms

Authorization

API key SBOMs: write
AuthorizationBearer <token>

API key (sf_...) with any of the required scopes. Generate it in the Spotflow portal on the settings page.

In: header

Scope: SBOMs: write

Path Parameters

workspaceId*string
Formatuuid
firmwareVersionId*string

Request Body

multipart/form-data

TypeScript Definitions

Use the request body type in TypeScript.

file*array<>

Response Body

application/json

application/problem+json

application/problem+json

curl -X POST "https://api.spotflow.io/workspaces/00000000-0000-0000-0000-000000000001/firmware-versions/r2Kt75mXc8Vd/sboms" \  -H "Authorization: Bearer $SPOTFLOW_API_KEY" \  -F "file=@path/to/file-1" \  -F "file=@path/to/file-2"

SBOMs accepted for parsing.

{  "sboms": [    {      "id": "z3Mp96lQd4Gt",      "parsingState": "InProgress"    }  ]}